ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package feature
  Definition Classes
    ds
-  package fragment
  Definition Classes
    ds
-  package read
  Definition Classes
    ds
-  package sequence
  Definition Classes
    ds
-  package variant
  Definition Classes
    ds
- ADAMContext
- ADAMSaveAnyArgs
- AvroGenomicDataset
- AvroReadGroupGenomicDataset
- DatasetBoundGenericGenomicDataset
- DatasetBoundGenomicDataset
- FullOuterShuffleRegionJoin
- GenericConverter
- GenericGenomicDataset
- GenomeBins
- GenomicBroadcast
- GenomicDataset
- GenomicDatasetConversion
- GenomicDatasetWithLineage
- GenomicPositionPartitioner
- GenomicRegionPartitioner
- InFormatter
- InFormatterCompanion
- InnerShuffleRegionJoin
- InnerShuffleRegionJoinAndGroupByLeft
- InnerTreeRegionJoin
- InnerTreeRegionJoinAndGroupByRight
- LeftOuterShuffleRegionJoin
- LeftOuterShuffleRegionJoinAndGroupByLeft
- MultisampleAvroGenomicDataset
- MultisampleGenomicDataset
- OutFormatter
- RDDBoundGenericGenomicDataset
- ReferencePartitioner
- RegionJoin
- RightOuterShuffleRegionJoinAndGroupByLeft
- RightOuterTreeRegionJoin
- RightOuterTreeRegionJoinAndGroupByRight
- ShuffleRegionJoin
- SortedIntervalPartitionJoinWithVictims
- TreeRegionJoin
- VictimlessSortedIntervalPartitionJoin

c

org.bdgenomics.adam.ds

# ReferencePartitioner 

###

#### case class ReferencePartitioner(sd: SequenceDictionary) extends Partitioner with Product with Serializable

Repartitions objects that are keyed by a ReferencePosition or ReferenceRegion into a single partition per contig.

Linear Supertypes
Product, Equals, Partitioner, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReferencePartitioner
2. Product
3. Equals
4. Partitioner
5. Serializable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ReferencePartitioner(sd: SequenceDictionary)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
8.  def getPartition(key: Any): Int
   Definition Classes
     ReferencePartitioner → Partitioner
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  def numPartitions: Int
    Definition Classes
      ReferencePartitioner → Partitioner
14.  val sd: SequenceDictionary
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
17.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Product

### Inherited from Equals

### Inherited from Partitioner

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped